%define name	t1lib
%define version	5.1.1
%define release %mkrel 2
%define lib_major 5
%define lib_name %mklibname %{name} %{lib_major}

Summary:	Type 1 font rasterizer
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		ftp://sunsite.unc.edu/pub/Linux/libs/graphics/
Source:		ftp://sunsite.unc.edu/pub/Linux/libs/graphics/%{name}-%{version}.tar.bz2
Patch1:		%{name}-doc.patch
Patch2:         %{name}-config.patch
# http://qa.mandriva.com/show_bug.cgi?id=34223
Patch3:         t1lib-5.1.0-ub-CVE-2007-4033.patch
Group:		System/Libraries
BuildRequires:	XFree86-devel xpm-devel
BuildRequires:  tetex
BuildRequires:  tetex-latex
License:	LGPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%(id -u -n)
Epoch: 		1

%description
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.  T1lib
also includes a support for antialiasing.

%package -n %{lib_name}
Summary: 	Type 1 font rasterizer
Group: 		System/Libraries
Obsoletes: 	%{name}
Provides: 	%{name}
Obsoletes:	%{name}1
Provides:	%{name}1 = %version-%release
Provides:	lib%{name} = %version-%release
Requires:	%{name}-config

%description -n %{lib_name}
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.  T1lib
also includes a support for antialiasing.


%package -n %{lib_name}-devel
Summary: 	Header files for Type 1 font rasterizer
Group: 		Development/C
Requires: 	%{lib_name} = %{epoch}:%{version}-%{release}
Obsoletes: 	%{name}-devel
Provides: 	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}1-devel
Provides:	%{name}1-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{lib_name}-devel 
Header files required for compiling packages needing the t1lib.

%package -n %{lib_name}-static-devel
Summary:        Static libraries for Type 1 font rasterizer
Group:          Development/C
Requires:       %{lib_name}-devel = %{epoch}:%{version}-%{release}
Provides:       %{name}-static-devel = %{version}-%{release}
Obsoletes:	%{name}1-static-devel
Provides:	%{name}1-static-devel = %{version}-%{release}
Provides:	lib%{name}-static-devel = %{version}-%{release}

%description -n %{lib_name}-static-devel
Static libraries required for staticaly compiling packages needing the
t1lib.

%package -n %{name}-progs
Summary: 	Programs dor manipulating Type 1 font
Group: 		Graphics
License: 	GPL
Obsoletes:	%{name}1-progs
Provides:	%{name}1-progs

%description -n %{name}-progs
The t1lib-progs contains the programs "xglyph" and "type1afm" It also
contains the "t1libconfig" script used to configure t1lib.

%package -n %{name}-config
Summary:	Configuration for %name
Group:		Graphics

%description -n %{name}-config
The t1lib-config contains configuration files for t1lib library

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p1 -b .CVE-2007-4033

%build
%configure2_5x
perl -pi -e 's,-DGLOBAL_CONFIG_DIR="\\"/usr/share/t1lib\\"",-DGLOBAL_CONFIG_DIR="\\"/etc/t1lib\\"",;' Makefile
make without_doc
(cd doc
make clean
make pdf)

%install
rm -rf %buildroot
%makeinstall_std
mkdir -p %buildroot/%{_sysconfdir}/t1lib
mv %buildroot/%{_datadir}/t1lib/t1lib.config %buildroot/%{_sysconfdir}/t1lib

%ifarch alpha
(cd %buildroot/%{_libdir}
ln -sf libt1.so libt1.so.0)
%endif

%post 	-n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf %buildroot

%files -n %{lib_name}
%defattr(-,root,root)
%dir %{_sysconfdir}/t1lib
%doc Changes LGPL README.t1*
%attr(755,root,root) %{_libdir}/libt1*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc LGPL doc/t1lib_doc.pdf
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%doc LGPL
%{_libdir}/*.a

%files -n %{name}-progs
%defattr(-,root,root)
%doc LICENSE README.t1python
%attr(755,root,root) %{_bindir}/*

%files -n %{name}-config
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/t1lib/t1lib.config
%doc LGPL




%changelog
* Thu Sep 27 2007 Andreas Hasenack <andreas@mandriva.com> 5.1.1-2mdv2008.0
+ Revision: 93379
- security patch for CVE-2007-4033 (#34223)


* Sun Feb 18 2007 Giuseppe Ghibò <ghibo@mandriva.com> 5.1.1-1mdv2007.0
+ Revision: 122249
- Release 5.1.1.
- Removed Patch0 (merged upstream).
- Import t1lib

* Tue Sep 05 2006 Giuseppe Ghib <ghibo@mandriva.com> 5.1.0-3mdv2007.0
- Rebuilt.

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 5.1.0-2mdk
- Rebuild

* Thu Aug 04 2005 Giuseppe Ghib <ghibo@mandriva.com> 5.1.0-1mdk
- Release 5.1.0.
- Rebuilt Patch0.

* Mon Apr 18 2005 Olivier Thauvin <nanardon@mandrake.org> 5.0.2-5mdk
- rebuild && reupload
- %%mkrel

* Tue Jan 11 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.0.2-4mdk
- %%major is 5
- split config into %%name-config

* Tue Jan 11 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.0.2-3mdk
- Fix name/obsoletes/provides cause %%mklibname

* Sun Jan 09 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.0.2-2mdk
- reupload

* Tue Jan 04 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 5.0.2-1mdk
- 5.0.2

* Sat Aug 28 2004 Giuseppe Ghibr <ghibo@mandrakesoft.com> 1.3.1-15mdk
- Rebuilt.

* Tue Mar 02 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.3.1-14mdk
- Fix another DEP with epoch

* Mon Mar 01 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.3.1-13mdk
- Added 1 to Requires.

